%define module_name Net-AS2
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Crypt/SMIME.pm) perl(Digest/SHA.pm) perl(Email/Address.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Message.pm) perl(LWP/UserAgent.pm) perl(MIME/Base64.pm) perl(MIME/Tools.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(autodie.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0101
Release: alt1
Summary: AS2 Protocol implementation (RFC 4130) used in Electronic Data Exchange (EDI)
Group: Development/Perl
License: perl
URL: https://github.com/andrewjmaguire/Net-AS2

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AJ/AJM/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a class for handling AS2 (RFC-4130) communication - sending
message (optionally sign and encrypt), decoding MDN. Receving message
and produce corresponding MDN.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md README Changes
%perl_vendor_privlib/N*

%changelog
* Fri Mar 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.0101-alt1
- updated by package builder

* Wed Jan 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1
- regenerated from template by package builder

* Thu Mar 16 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

